
package de.ivu.elect.business.stimmeingabe.control;

import static org.apache.commons.lang3.StringUtils.isNotBlank;

import java.io.Serializable;

import de.ivu.elect.business.exchange.control.AbstractExchangeContext;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingang;

public class ErgebniseingangExportContext extends AbstractExchangeContext implements Serializable {

  private static final long serialVersionUID = 1L;

  private final Ergebniseingang ergebniseingang;

  private String wahlkurzname;

  public ErgebniseingangExportContext(Ergebniseingang ergebniseingang) {
    this(ergebniseingang, null);
  }

  public ErgebniseingangExportContext(Ergebniseingang ergebniseingang, String wahlkurzname) {
    super();

    this.ergebniseingang = ergebniseingang;
    this.wahlkurzname = wahlkurzname;
  }

  public boolean isWahlkurznameGesetzt() {
    return isNotBlank(getWahlkurzname());
  }

  public String getWahlkurzname() {
    return wahlkurzname;
  }

  public void setWahlkurzname(String wahlkurzname) {
    this.wahlkurzname = wahlkurzname;
  }

  public Ergebniseingang getErgebniseingang() {
    return ergebniseingang;
  }
}
